Ask Your Question
0

While installing FLUKA in Fedora 28, I am facing some problem. How to overcome it?

asked 2018-08-01 03:05:52 -0500

Jyoti gravatar image

updated 2018-08-01 04:30:35 -0500

genodeftest gravatar image

While installing FLUKA in Fedora 28, I am facing problem while installing the geoviewer file. I gave the command:

rpmbuild --rebuild flair-geoviewer-2.3-0.src.rpm

The following error is displayed: RPM build errors:

user bnv does not exist - using root
group dr does not exist - using root
user bnv does not exist - using root
group dr does not exist - using root
Bad exit status from /var/tmp/rpm-tmp.cC2oQI (%build)

Kindly help me in resolving this issue if possible

edit retag flag offensive close merge delete

Comments

The spec file is broken and needs to be fixed by whoever provides it.

genodeftest gravatar imagegenodeftest ( 2018-08-01 04:31:13 -0500 )edit

yes I have tried but it's of no use.

Jyoti gravatar imageJyoti ( 2018-08-01 05:15:10 -0500 )edit

Hello Nisankh Kindly see to the procedure I followed and let me know my mistake. I have copied the procedure in answer

Jyoti gravatar imageJyoti ( 2018-08-01 05:25:55 -0500 )edit

user bnv and group dr error is solved. Now it shows RPM build errors: Bad exit status from /var/tmp/rpm-tmp.d4Il9c (%build)

Jyoti gravatar imageJyoti ( 2018-08-07 01:35:47 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2018-08-01 05:24:58 -0500

Jyoti gravatar image

updated 2018-08-02 00:07:19 -0500

genodeftest gravatar image

[Jyoti@localhost ~]$ su root Password: [root@localhost Jyoti]# cd Desktop [root@localhost Desktop]# ls FLUKA [root@localhost Desktop]# cd FLUKA [root@localhost FLUKA]# ls flair-2.3-0.noarch.rpm fluka-2011.2x-3.x8664.rpm flair-geoviewer-2.3-0.src.rpm [root@localhost FLUKA]# rpm -ihv fluka-2011.2x-3.x8664.rpm Preparing... ################################# [100%] package fluka-2011.2x-3.x8664 is already installed [root@localhost FLUKA]# yum install gnuplot tk tkinter Last metadata expiration check: 0:31:04 ago on Tuesday 31 July 2018 04:37:02 PM IST. Package gnuplot-5.0.6-8.fc28.x8664 is already installed, skipping. Package tk-1:8.6.8-1.fc28.x8664 is already installed, skipping. Package python2-tkinter-2.7.15-2.fc28.x8664 is already installed, skipping. Dependencies resolved. Nothing to do. Complete! [root@localhost FLUKA]# rpm -ihv flair-2.3-0.noarch.rpm Preparing... ################################# [100%] package flair-2.3-0.noarch is already installed [root@localhost FLUKA]# yum install rpm-build Last metadata expiration check: 0:32:02 ago on Tuesday 31 July 2018 04:37:02 PM IST. Package rpm-build-4.14.1-9.fc28.x8664 is already installed, skipping. Dependencies resolved. Nothing to do. Complete! [root@localhost FLUKA]# yum install python-devel tcl-devel tk-devel Last metadata expiration check: 0:32:22 ago on Tuesday 31 July 2018 04:37:02 PM IST. Package python2-devel-2.7.15-2.fc28.x8664 is already installed, skipping. Package tcl-devel-1:8.6.8-1.fc28.x8664 is already installed, skipping. Package tk-devel-1:8.6.8-1.fc28.x8664 is already installed, skipping. Dependencies resolved. Nothing to do. Complete! [root@localhost FLUKA]# yum install gcc-c++ Last metadata expiration check: 0:32:30 ago on Tuesday 31 July 2018 04:37:02 PM IST. Package gcc-c++-8.0.1-0.20.fc28.x8664 is already installed, skipping. Dependencies resolved. Nothing to do. Complete! [root@localhost FLUKA]# rpmbuild --rebuild flair-geoviewer-2.3-0.src.rpm Installing flair-geoviewer-2.3-0.src.rpm warning: user bnv does not exist - using root warning: group dr does not exist - using root warning: user bnv does not exist - using root warning: group dr does not exist - using root sh: pid: command not found sh: path,name,lib: command not found Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.d3Ntrq + umask 022 + cd /root/rpmbuild/BUILD + rm -rf /root/rpmbuild/BUILDROOT/flair-geoviewer-2.3-0.x8664 + cd /root/rpmbuild/BUILD + rm -rf flair-geoviewer-2.3 + /usr/bin/gzip -dc /root/rpmbuild/SOURCES/flair-geoviewer-2.3-0.tgz + /usr/bin/tar -xof - + STATUS=0 + '[' 0 -ne 0 ']' + cd flair-geoviewer-2.3 + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w . + exit 0 Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.SHFfdR + umask 022 + cd /root/rpmbuild/BUILD + cd flair-geoviewer-2.3 + make -j TARGET=x8664 c++ -MM -Ioptimizer -Iviewer -Idata -Igeometry -Igraph -Imath -Iutils xdraw.cc > xdraw.d DEPRECATION WARNING: python2 invoked with /usr/bin/python. Use /usr/bin/python3 or /usr/bin/python2 /usr/bin/python will be removed or switched to Python 3 in the future. If you cannot make the switch now, please follow instructions at https://fedoraproject.org/wiki/Change...usr ... (more)

edit flag offensive delete link more

Comments

1

@Jyoti , You should use fpaste and copy the url here for this kind of post

hhlp gravatar imagehhlp ( 2018-08-01 07:17:50 -0500 )edit

This code has many programming errors.

genodeftest gravatar imagegenodeftest ( 2018-08-02 00:09:05 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-08-01 03:05:52 -0500

Seen: 71 times

Last updated: Aug 01 '18